###############################################################################################
###############################################################################################
###
###     Ecrans / Screens
###
###############################################################################################
###############################################################################################

##############################################################################
# Screens pour les crédits
#
#
#------------------------------------------------------------------------------------
# Screen général
screen credit(type,illu,description):
# type = l'écran est différent pour une image ou un fichier audio
# Illu = image qui sera affichée comme illustration (la photo, la couv de l'album, la représentation du bruitage)
# description = éléments pour la desciption (sous forme de tableau): auteur, nom de l'asset, licence, ...
    window:
        style "st_credit" ## le fond est codé dans les styles (voir ci-dessous)

    label _("Crédits"):
        #style "st_credit"
        text_style "st_credit"
        xpos int(largeur_nvl + largeur_image/2) #884 #Variables définies dans parametres_communs.rpy
        ypos 45
        xalign 0.5
        text_xalign 0.5
        xsize int(largeur_image - marge*2)
        text_size 40


    # À gauche : on a soit une simple image, soit image + boutons si c'est du son, donc un screen spécial (audio_illu)
    if type == "audio":
        use audio_illu(illu)
    elif type =='font':
        frame:
           anchor (0.5,0.5)
           ypos int(hauteur_fenetre/2)
           xpos int(largeur_nvl/2)
           background Solid("#fff")
           xmaximum 500
           xpadding 20
           ypadding 20
           if description["titre"] == "Open Iconic":
               $ exemple = ""
               for i in range(int("E010",16),int("E078",16)+1):
                   $ exemple += unichr(i)
                   $ exemple += "{font=gui/fonts/HussarPrintA.otf}{size=5} {/size}{/font}"
           elif description["titre"] == "Elusive Icons":
               $ exemple = ""
               for i in range(int("F110",16),int("F178",16)+1):
                   $ exemple += unichr(i)
                   $ exemple += "{font=gui/fonts/HussarPrintA.otf}{size=5} {/size}{/font}"
           else:
               if _preferences.language == None:
                   $ lang = "fr"
               else:
                   $ lang = _preferences.language
               $ exemple = pangramme[lang]
           text exemple size 30 color "#000" font illu
    else:
        add illu anchor (0.5,0.5) ypos int(hauteur_fenetre/2) xpos int(largeur_nvl/2) #340 #Variables définies dans parametres_communs.rpy

    # Appel d'un screen spécifique pour la description des images ou de l'audio
    # on garde une solution par défaut où on reproduit simplement la chaine de caractère passée en argument
    if type == "audio" or type == "image" or type == "font":
        use description_asset(description)
    else:
        vbox:
            xpos int(largeur_nvl+marge) # 715 = 680+35 #Variables définies dans parametres_communs.rpy
            ypos 100
            xsize int(largeur_image - marge*2) # 408 - 70 #Variables définies dans parametres_communs.rpy
            text description style "credit_titre"

    use menu_rapide()

init -2:
    style st_credit:
        color couleur_credits #"#ccc" # couleur du texte # Variables définies dans theme_histoire.rpy
        background fond_credits # Variables définies dans theme_histoire.rpy

    style credit_titre is text
    style credit_comm:
        size 18
        italic True
    style credit_licence:
        size 22

#-----------------------------------------------------------------------------
# Affichage de la pochette et des boutons pour jouer musiques et sons (pour les crédits)
#
# Définition d'un channel spécifique pour les extraits audio
init python:
    renpy.music.register_channel('extraits', mixer='sample', loop=False)

screen audio_illu(donnees):

    ##### Ces instructions permettent de récupérer et restaurer le volume du mixer qui passe le générique
    ##### avec les boutons et quand on change passe au crédit suivant:

    #-- On récupère le volume du mixer de la musique de fond en entrant dans le screen
    on "show" action [SetVariable('music', _preferences.get_volume('music'))]
    on "replace" action [SetVariable('music', _preferences.get_volume('music'))]
    #-- On coupe l'extrait et on restaure le volume en allant au screen suivant
    on "replaced" action [Stop("extraits"),SetMixer("music",music)]
    on "hide" action [Stop("extraits"),SetMixer("music",music)]

    vbox:
        style_group "audioillu"
        xanchor 0.5
        ypos 100
        xpos int(largeur_nvl/2)  #340 #Variables définies dans parametres_communs.rpy
        #--- on affiche l'illustration (pochette d'album ou oscillo du son
        add donnees['illu']
        null height 20

        ### On affiche deux bouton pour jouer la musique/son ou la couper
        #--- Ce bouton joue la musique de l'asset, en coupant le volume du mixer du générique
        textbutton _("Jouer") action [SetMixer("music",0.0),Play("extraits",donnees['morceau'])]
        null height 20
        #--- Ce bouton coupe la musique de l'asset et rétablit le volume du mixer du générique
        textbutton _("Stop") action [Stop("extraits"),SetMixer("music",music)]

# pour mettre tous les boutons à la même largeur
init -2:
    style audioillu_button is bouton_cadre:
        size_group "audioillu"
        xpadding 10
        ypadding 10

    # Homogénéisation des styles => semblables aux boutons de la barre des pages de signets.
    style audioillu_button_text is bouton_cadre_texte:
        xalign 0.5


#-----------------------------------------------------------------------------
# Affichage de la description
#
screen description_asset(infos):

    $ licence = affich_licence(infos['licence'],infos['version'])

    vbox:
        spacing 10
        xfill True
        xpos int(largeur_nvl+marge) # 715 #Variables définies dans parametres_communs.rpy
        ypos 100
        xsize int(largeur_image - marge*2) # 408 - 70 = 338 #Variables définies dans parametres_communs.rpy

        ## Affichage du titre de l'asset
        add 'ligne'  ## Variable définie dans parametres_communs.rpy
        text "[infos[titre]]" xalign 0.5 style "credit_titre"
        add 'ligne'

        #### Affichage du titre de la description en fonction de la langue
        #
        if _preferences.language == None:
            $ lang = "fr"
        else:
            $ lang = _preferences.language
        if "type" not in infos.keys():
            $ type = "image"
        else:
            $ type = infos['type']

        $ types = {"image":{"fr":"une image","en":"an image"},"musique": {"fr":"une musique","en":"a music"},"son":{"fr":"un effet sonore","en":"a sound effect"},"font":{"fr":"une police de caractères","en":"a font"}}
        $ type_asset = types[type][lang]
        $ par = _('de')
        text "[type_asset] [par!t]" style "credit_comm"

        ## Affichage de l'auteur de l'asset
        #
        text "[infos[auteur]]" style "credit_titre" xalign 0.5
        ## Affichage du pseudo s'il existe
        if 'pseudo' in infos.keys() and infos['pseudo'] is not None:
            text "([infos[pseudo]])" style "credit_comm" xalign 0.5

        null height 10
        if "album" in infos.keys() and infos ['album'] is not None:
            text _("extrait de l'album") style "credit_comm"
            text infos ['album'] style "credit_titre" xalign 0.5

        add 'ligne'
        # On vérifie si le type de licence est défini, sinon on met Creative Commons par defaut (compatibilités avec vieilles versions)
        if "type_lic" not in infos.keys():
            $ type_lic = "Creative Commons"
        else:
            $ type_lic = infos['type_lic']
        if _preferences.language == None:
            $ credit_licence = "sous licence %s" % type_lic
        else:
            $ credit_licence = "under %s license" % type_lic
        text  "[credit_licence]" style "credit_licence"
        text licence style "credit_licence"

        add 'ligne'
        ## Affichage du lien vers l'asset original
        if "site" not in infos.keys():  # Compatibilités avec anciennes version, le nom du site n'était pas défini pour les images, qui ne venaient que de Flickr
            $ nom_site = "Flickr"
        else:
            $ nom_site = infos['site']
        $ types_consult = {"image":{"fr":"Voir sur","en":"See on"}, "musique": {"fr":"Écouter sur","en":"Listen on"},"son":{"fr":"Ecouter sur","en":"Listen on"},"font":{"fr":"Consulter sur","en":"See on"}}

        $ consulter = types_consult[type][lang]
        text "{a=[infos[lien]]}[consulter] [nom_site]{/a}" style "credit_licence"

##############################################################################
# Screens pour les pauses
#
screen ecran_pause():

    # On empêche d'interagir avec ce qui est affiché en dessous
    modal True

    # on met les volumes de la musique et des sons à zéro quand on rentre dans le screen
    on "show" action [SetVariable('music', _preferences.get_volume('music')),SetVariable('son', _preferences.get_volume('sfx')), SetMixer("music",0.0),SetMixer("sfx",0.0)]

    # on le remet les volumes à leur niveau initial quand on sort du screen
    on "hide" action [SetMixer("music",music),SetMixer("sfx",son)]

    # on recouvre l'écran avec un voile gris
    add Solid("#000c")

    # on utilise un tooltip pour afficher la légende du bouton pause qui suit
    default tt = Tooltip("")
    text tt.value align(0.65,0.5)

    # on ajoute un signe de pause, qui sert de bouton
    imagebutton:
        auto "gui/pause/icone_pause_%s.png" align (0.5,0.5)
        focus_mask True
        action Hide("ecran_pause")
        hovered tt.Action(_("Reprendre"))


##############################################################################
# Menu des options
#
# Ceci met le "menu des options" comme menu par défaut "clic droit / échap"
init python:
    _game_menu_screen = "menu_options"

screen menu_options:
    # Ecran qui s'affiche quand on clique droit ou qu'on y accède par l'accueil ou le menu rapide

    # Pour être sûr que tout autre menu est remplacé
    tag menu

    # Fond du menu jeu
    window:
        style "ecran_options"

    # Boutons de navigation.
    frame:
        style_group "mo"
        xalign 0.95
        yalign 0.5

        has vbox

        hbox:
            $ preferences = _("Preferences")
            textbutton u"{font=gui/fonts/open-iconic.ttf}{size=40}\uE0DA{/size}{/font}\n[preferences!t]" action ShowMenu("reglages")
            $ retour = _("Return")
            textbutton u"{font=gui/fonts/open-iconic.ttf}{size=40}\uE003{/size}{/font}\n[retour!t]" action Return()
        hbox:
            $ load = _("Load Game")
            textbutton u"{font=gui/fonts/open-iconic.ttf}{size=40}\uE021{/size}{/font}\n[load!t]" action ShowMenu("use_signet")
            $ main = _("Main Menu")
            textbutton u"{font=gui/fonts/open-iconic.ttf}{size=40}\uE078{/size}{/font}\n[main!t]" action MainMenu()
        hbox:
            $ save = _("Save Game")
            textbutton u"{font=gui/fonts/open-iconic.ttf}{size=40}\uE021{/size}{/font}\n[save!t]" action [ShowMenu("pose_signet"), SensitiveIf(main_menu is not True)]
            $ quit = _("Quit")
            textbutton u"{font=gui/fonts/open-iconic.ttf}{size=40}\uE0AB{/size}{/font}\n[quit!t]" action Quit()

init -2:
    style mo_button is default:
        size_group "mo"
        xpadding 25
        ypadding 25
        xmargin 15
        ymargin 15
        background Frame(recolorer("gui/cadre_bouton.png",couleur_ombre),4,4)
        insensitive_background Frame(recolorer("gui/cadre_bouton.png",couleur_insensitive),4,4)
        hover_background Solid(couleur_ombre)

    style ecran_options:
        background menu_options

    style mo_frame:
        background Solid(couleur_fond)


    style mo_button_text:
        color couleur_interieur
        outlines [(1,couleur_exterieur,0,0)]
        insensitive_color couleur_insensitive
        insensitive_outlines []
        xalign 0.5
        text_align 0.5

##############################################################################
# Menu principal
#
# Écran utilisé pour le menu principal, quand Ren'Py démarre

screen main_menu:

    # Pour être sûr que tout autre menu est remplacé
    tag menu

    # Le fond du menu principal
    window:
        style "fond_accueil"

    # Les boutons du menu principal.

    vbox:
        style_group "accueil"
        xalign 0.8
        yalign 0.95

        imagebutton:
            style "accueil_button"
            idle Text(u"\ue0b0",style = "accueil_icone")
            hover Text(_("Help"), style = "accueil_texte")
            action Help()


        imagebutton:
            style "accueil_button"
            idle Text(u"\uF177",style = "accueil_icone2")
            if _preferences.language == None:
                hover Text("Read in\nEnglish", style = "accueil_texte")
                action Language("en")
            else:
                hover Text("Lire en\nfrançais", style = "accueil_texte")
                action Language(None)

        imagebutton:
            style "accueil_button"
            idle Text(u"\uE021",style = "accueil_icone")
            hover Text(_("Bookmark"), style = "accueil_texte")
            action ShowMenu("use_signet")

    imagebutton:
        style "accueil_button"
        #xsize 200
        yalign 0.6
        xalign 0.2
        idle Text(u"\uE0A9",style = "accueil_icone", size = 80)
        hover Text(_("Read"), style = "accueil_texte" ,size = 50)
        action Start()

    vbox:
        style_group "accueil"
        xalign 0.95
        yalign 0.95


        imagebutton:
            style "accueil_button"
            idle Text(u"\uE041",style = "accueil_icone")
            hover Text(_("Options"), style = "accueil_texte")
            action ShowMenu("menu_options")

        imagebutton:
            style "accueil_button"
            idle Text(u"\uE0C2",style = "accueil_icone")
            hover Text(_("Crédits"), style = "accueil_texte")
            action Start("credits_longs")

        imagebutton:
            style "accueil_button"
            idle Text(u"\uE0AB",style = "accueil_icone")
            hover Text(_("Quit"), style = "accueil_texte")
            action Quit(confirm=False)

    # Affichage d'une aide rapide lors de la première lecture uniquement
    if not persistent.dejavu:
        vbox:
            style_group "accueil"
            xalign 0.95
            yalign 0.50

            textbutton "Première fois ?\n => Comment faire":
                #style "accueil_texte"
                xsize 300
                action [Language(None),Start("howto")]


            textbutton "First time ?\n => How to":
                xsize 300
                action [Language("en"),Start("howto")]

    add titre_histoire pos position_titre


screen premiere_fois():


    vbox:
        style_group "accueil"
        xalign 0.95
        yalign 0.50
        spacing 20

        text "C'est votre première lecture ?"
        textbutton "Vous voulez quelques explications ?":
            #style "accueil_texte"
            xsize 300
            action [Language(None), Jump("howto")]
        textbutton "Merci, je vais me débrouiller.":
            xsize 300
            action [Language(None), Return()]

        text "It seems it's your first time reading..."
        textbutton "Would you like a quick how-to?":
            xsize 300
            action [Language("en"), Jump("howto")]
        textbutton "Thanks, I'll be OK.":
            xsize 300
            action [Language("en"), Return()]

init -2:
    # styles pour l'affichage des boutons de l'écran d'accueil
    style fond_accueil:
        background fond_accueil # Variable renseignée dans themes_histoire.rpy


    # styles pour l'affichage des boutons de l'écran d'accueil
    style accueil_icone is titre:
        font "gui/fonts/open-iconic.ttf"
        outlines [(3,couleur_ombre,0,0),(1,couleur_exterieur,0,0)]
        size 30
        xalign 0.5
        yalign 0.5

    style accueil_icone2 is accueil_icone:
        font "gui/fonts/elusiveicons-webfont.ttf"

    style accueil_texte is titre:
        outlines [(2,couleur_ombre,0,0),(1,couleur_exterieur,0,0)]
        text_align 0.5
        xalign 0.5
        yalign 0.5


    style accueil_button:
        xsize 185
        ysize 65
        xmargin 15
        xalign 0.5
        yalign 0.5
        yfill True

    style accueil_vbox:
        xalign 0.5
        yalign 1.0

    style accueil_button_text:
        outlines [(2,couleur_ombre,0,0),(1,couleur_exterieur,0,0)]
        hover_color couleur_ombre
        hover_outlines [(1,couleur_exterieur,0,0)]

##############################################################################
# Menu de navigation
#
# menu inclus dans d'autres menus pour permettre la navigation

screen navigation:

    # on définit l'endroit où mène le bouton d'aide
    default label_aide = config.help
    # Fond du menu jeu
    window:
        style "ecran_options"

    frame:
        style_group "accueil"
        xalign 0.5
        yanchor 0.5
        ypos 0.9
        ymaximum 85
        background None

        has hbox

        imagebutton:
            style "accueil_button"
            idle Text(u"\uE0B0",style = "accueil_icone")
            hover Text(_("Help"), style = "accueil_texte")
            action Help(label_aide)

        imagebutton:
            style "accueil_button"
            xsize 300
            idle Text(u"\uE003",style = "accueil_icone", size = 80)
            hover Text(_("Return"), style = "accueil_texte" ,size = 50)
            action Return()

        imagebutton:
            style "accueil_button"
            idle Text(u"\uE0AB",style = "accueil_icone")
            hover Text(_("Quit"), style = "accueil_texte")
            action Quit()

##############################################################################
# Menu des réglages
#
# Menu de réglage des préférences et paramètres

screen reglages:

    # Pour être sûr que tout autre menu est remplacé
    tag menu

    # utilisation du menu de navigation (dans lequel le fond est inclus)
    use navigation(label_aide="aide_reglages")
    # le paramètre fait en sorte que le bouton d'aide mène directement à la page de l'aide des préférences.

    text _("Preferences"):
        style "titre_ecran"

    frame:
        style_group "options"

        has hbox

        vbox:
            $ display = _("Display")
            text u"{font=gui/fonts/open-iconic.ttf}\uE0A0{/font} [display!t]"
            hbox:
                $ window = _("Window")
                textbutton u"{font=gui/fonts/open-iconic.ttf}{size=30}\uE026{/size}{/font}\n[window!t]":
                    action Preference("display", "window")
                $ fullscreen = _("Fullscreen")
                textbutton u"{font=gui/fonts/open-iconic.ttf}{size=30}\uE09E{/size}{/font}\n[fullscreen!t]":
                    action Preference("display", "fullscreen")

            $ volume = _("Volume")
            text u"{font=gui/fonts/open-iconic.ttf}\uE0D5{/font} [volume!t]"
            bar:
                value Preference("music volume")

            $ langue = _("Langue/Language")
            text u"{font=gui/fonts/elusiveicons-webfont.ttf}\uF177{/font} [langue!t]"
            hbox:
                textbutton "{font=gui/fonts/TruenoBlkOl.otf}{size=30}fr{/size}{/font}\nFrançais":
                    action Language(None)
                textbutton "{font=gui/fonts/TruenoBlkOl.otf}{size=30}en{/size}{/font}\nEnglish":
                    action Language("en")


        vbox:
            $ text_speed = _("Text Speed")
            text u"{font=gui/fonts/open-iconic.ttf}\uE096{/font} [text_speed!t]"
            bar:
                value Preference("text speed")

            $ auto_forward = _("Auto-Forward")
            text u"{font=gui/fonts/open-iconic.ttf}\uE098{/font} [auto_forward!t]"
            hbox:
                $ yes =  _("Yes")
                textbutton u"{font=gui/fonts/open-iconic.ttf}{size=30}\uE038{/size}{/font}\n[yes!t]":
                    action Preference("auto-forward", "enable")
                $ no = _("No")
                textbutton u"{font=gui/fonts/open-iconic.ttf}{size=30}\uE039{/size}{/font}\n[no!t]":
                    action Preference("auto-forward", "disable")
            $ auto_forwardt = _("Auto-Forward Time")
            text u"{font=gui/fonts/open-iconic.ttf}\uE0CD{/font} [auto_forwardt!t]"
            bar:
                value Preference("auto-forward time")


init -2:
    style options_frame is cadre:
        xmargin 75
        ymargin 75
        ypadding 10
        xpadding 20
        xfill True

    style options_hbox:
        spacing 25
        xalign 0.5

    style options_vbox:
        xfill True
        spacing 25
        xsize int((config.screen_width-150)/2-25)


    style options_slider is barre:
        xsize 300


    style options_button:
        size_group "options"
        background None

    style options_text is titre:
        size 28
        xfill True

    style options_button_text:
        color couleur_interieur
        outlines [(0,couleur_exterieur,1,1)]

        hover_color couleur_ombre
        hover_outlines [(1,couleur_exterieur,-1,-1)]

        selected_color couleur_interieur
        selected_outlines [(1,couleur_ombre,0,0),(2,couleur_exterieur,0,0)]

        insensitive_color couleur_insensitive

        size 16

        text_align 0.5

    style titre_ecran is titre:
        size 50
        xalign 0.5
        yalign 0.02

##############################################################################
# Menu rapide perso
#
# Écran inclus par défaut pour les dialogues, ajoutant un accès rapide à
# plusieurs fonctions utiles

#-----------------------------------------------------------------------------
# Definitions d'images pour les icones du menu rapide
define music = 0.0  # on initialise les variables qui vont servir à conserver la valeur des mixers
define son = 0.0    # sinon après il y aura des erreurs

define quick_boutons = [
                {
                "image" : u"\uE092",
                "texte":_("Pause"),
                "action":Show("ecran_pause"),
                "nom":"pause"},

                {
                "image" : u"\uE0B0",
                "texte":_("Help"),
                "action":Help("aide_rapide"),
                "nom":"aide"},

                {
                "image" : u"\uE093",
                "texte":_("Auto On"),
                "action":Preference("auto-forward", "toggle"),
                "nom":"avance_auto"},

                {
                "image" : u"\uE095",
                "texte":_("Back"),
                "action":Rollback(),
                "nom":"rollback"},

                {
                "image" : u"\uE041",
                "texte":_("Options"),
                "action":ShowMenu('menu_options'),
                "nom":"prefs"}
                ]

#-----------------------------------------------------------------------------
# Screen en lui-même
screen menu_rapide:

    # Ajoute un menu rapide au sein du jeu
    vbox:
        #style_group "quick"

        xalign 1.0
        yalign 1.0
        xoffset -4

        for i in range(len(quick_boutons)):
                imagebutton:
                    yminimum 18
                    xalign 1.0

                    idle Text(quick_boutons[i]["image"],style="quick_button_idle")
                    hover Text(quick_boutons[i]["texte"],style="quick_button_hover")
                    insensitive Text(quick_boutons[i]["image"],style="quick_button_insensitive")

                    if quick_boutons[i]["nom"] == "avance_auto":
                        selected_idle Text(u"\uE099",style="quick_button_selected")
                    else:
                        selected_idle Text(quick_boutons[i]["image"],style="quick_button_selected")
                    if quick_boutons[i]["nom"] == "avance_auto":
                        selected_hover Text(u"Auto Off",style="quick_button_hover")
                    action quick_boutons[i]["action"]
                null height 5

init -2 python:
    style.quick_button.set_parent('default')
    style.quick_button.background = None

    style.quick_button_text.set_parent('default')
    style.quick_button_text.size = 12

    style.quick_button_image.set_parent('quick_button')
    style.quick_button_image.font="gui/fonts/open-iconic.ttf"
    style.quick_button_image.size=14

    style.quick_button_idle = Style(style.quick_button_image)
    style.quick_button_idle.color = "#ddd8"
    style.quick_button_idle.outlines = [(1,"#0008",1,1)]

    style.quick_button_hover = Style(style.quick_button_text)
    style.quick_button_hover.color = "#ddd8"
    style.quick_button_hover.outlines = [(1,"#0008",1,1)]

    style.quick_button_selected = Style(style.quick_button_image)
    style.quick_button_selected.color = "#3338"
    style.quick_button_selected.outlines = [(1,"#fff8",1,1)]

    style.quick_button_insensitive = Style(style.quick_button_image)
    style.quick_button_insensitive.color = "#7778"

##############################################################################
# Sauvegarder, Charger
#
# Écrans permettant à l'utilisateur de sauvegarder ou charger un jeu

# Puisque la sauvegarde et le chargement sont deux actions proches
# nous utilisons un seul écran pour les deux. On utilise un l'écran
# grille_signets depuis les écrans de sauvegarde et et de chargement.

screen grille_signets:

    vbox:
        style_group "signets"
        # premier cadre pour le choix de la page
        frame:

            top_margin 75

            has hbox

            # Les boutons en haut permettent à l'utilisateur
            # de sélectionner une page de fichiers.
            textbutton _("Auto"):
                action FilePage("auto")

            textbutton u"{font=gui/fonts/open-iconic.ttf}\uE02E{/font}":
                background None
                action FilePagePrevious()

            for i in range(1, 9):
                textbutton str(i):
                    action FilePage(i)

            textbutton  u"{font=gui/fonts/open-iconic.ttf}\uE02F{/font}":
                background None
                action FilePageNext()

        frame:

            $ columns = 2
            $ rows = 2

            # Affiche une grille d'emplacements de sauvegarde
            grid columns rows:
                transpose True
                xfill True
                spacing 10
                style_group "signets"

                # Montre 4 emplacements, numérotés de 1 à 4.
                for i in range(1, columns * rows + 1):

                    # Chaque emplacement est un bouton.
                    button:
                        action If(renpy.get_screen("use_signet"),FileLoad(i),FileSave(i))
                        ypadding 10
                        xfill True
                        selected_hover_background Solid(couleur_ombre)
                        at action_souris

                        has hbox
                        xalign 0.0

                        # Ajoute un screenshot.
                        add FileScreenshot(i,empty = Fixed(Text(_("Empty"),xalign=0.5, yalign=0.5, style="signets_button_text"), Frame(recolorer("gui/cadre_bouton.png",couleur_insensitive),4,4),xsize = config.thumbnail_width , ysize = config.thumbnail_height) )

                        null width 15

                        $ file_name = FileSlotName(i, columns * rows)
                        $ file_time = FileTime(i, empty="")
                        $ save_name = FileSaveName(i,empty="")
                        $ signet = _("Signet ")

                        text "{size=16}[signet!t][file_name]\n[file_time!t]{/size}{vspace=15}[save_name!t]"

                        key "save_delete" action FileDelete(i)


screen pose_signet:

    # Pour être sûr que tout autre menu est remplacé.
    tag menu

    use navigation(label_aide="aide_signets")

    text _(u"{font=gui/fonts/open-iconic.ttf}\uE021{/font} Set bookmark"):
        style "titre_ecran"


    use grille_signets

screen use_signet:

    # Pour être sûr que tout autre menu est remplacé.
    tag menu

    use navigation(label_aide="aide_signets")

    text _(u"{font=gui/fonts/open-iconic.ttf}\uE021{/font} Use bookmark"):
        style "titre_ecran"

    use grille_signets

init -2:
    style signets_vbox:
        spacing 10

    style signets_frame is cadre:
        xmargin 75
        ypadding 3
        xfill True

    style signets_hbox:
        xalign 0.5

    style signets_button is bouton_cadre:
        spacing 25
        xpadding 10
        ypadding 5
        xalign 0.5
        yminimum 45
        xminimum 45
        ymargin 5
        xmargin 5

    style signets_button_text is bouton_cadre_texte


    style signets_text is bouton_cadre_texte:
        text_align 0.0
        yalign 0.5


    # Ce transform permet de faire que les signets sont légèrement transparents et ne deviennent opaques qu'au passage de la souris.
    transform action_souris:
        on idle, selected_idle:
            alpha 0.75
        on hover, selected_hover:
            alpha 1.0
        on insensitive:
            alpha 0.5

##############################################################################
# Menu Oui/Non
#
# Écran proposant à l'utilisateur une question oui ou non
# http://www.renpy.org/doc/html/screen_special.html#yesno-prompt
#
# Simple restylage du code original

screen yesno_prompt:

    modal True

    window:
        style "ecran_options"

    frame:
        style_group "yesno"

        xfill True
        xmargin .05
        ypos .1
        yanchor 0
        ypadding .05

        has vbox:
            xalign .5
            yalign .5
            spacing 30

        label _(message):
            xalign 0.5

        hbox:
            xalign 0.5
            spacing 100

            textbutton _("Yes") action yes_action
            textbutton _("No") action no_action

    # Clic droit ou échap pour "non"
    key "game_menu" action no_action

init -2:

    style yesno:
        size_group "yesno"
    style yesno_label_text is libelle:
        text_align 0.5
        layout "subtitle"

    style yesno_button is bouton_cadre:
        ypadding 10
        xpadding 10

    style yesno_button_text is bouton_cadre_texte

    style yesno_frame is cadre

##############################################################################
# Screens crédits "rapides"
#

screen credits_rapides(liste_credits):

    # affichage du fond
    add fond_credits_rapides  #"fond-creditsR.jpg"

    frame at scrolling(50.0): # Le transform "scrolling" va permettre de faire défiler la liste des crédits (le parametre représente un nombre de secondes) => transform défini dans parametres_communs.rpy
        top_padding 100
        bottom_padding 50
        xpadding 40
        background None


        vbox:

            # Je me crédite moi
            null height 10
            text u"{color=#fff}{font=gui/fonts/open-iconic.ttf}\uE0A3{/font} Histoire, textes et programmation : Korova{/color}  {image=cc/by-sa.png}" style "st_credit"



            # Je crédite les outils de fabrication

            null height 30
            text _(u"{font=gui/fonts/open-iconic.ttf}\uE09E{/font} Moteur : Ren'Py") style "st_credit"
            text _(u"{font=gui/fonts/open-iconic.ttf}\uE09E{/font} Création et retouche d'images : GIMP et greffon G'MIC") style "st_credit"

            # variables d'affichages pour traduction
            $ de =_('" de {#auteur}')
            $ sur = _(" sur {#site}")

            # Je crédite les polices de l'interface

            null height 20
            text u"{font=gui/fonts/elusiveicons-webfont.ttf}\uF168{/font}" + "\"Hussar Print\""  + '[de!t]' + "Cannot Into Space Fonts" + "[sur!t]" + "{a=http://openfontlibrary.org/en/font/hussar-print}Open Font Library{/a} {image=cc/sil2.png}" style "st_credit"
            text u"{font=gui/fonts/elusiveicons-webfont.ttf}\uF168{/font}" + "\"Open Iconic\""  + '[de!t]' + "Waybury" + "[sur!t]" + "{a=https://useiconic.com/open/}Use Iconic{/a} {image=cc/sil2.png}" style "st_credit"
            text u"{font=gui/fonts/elusiveicons-webfont.ttf}\uF168{/font}" + "\"Elusive Icons font\""  + '[de!t]' + "Team Redux" + "[sur!t]" + "{a=http://elusiveicons.com/}Elusive Icons{/a} {image=cc/sil2.png}" style "st_credit"
            text u"{font=gui/fonts/elusiveicons-webfont.ttf}\uF168{/font}" + "\"Trueno Black Outline\""  + '[de!t]' + "Julieta Ulanovsky" + "[sur!t]" + "{a=http://openfontlibrary.org/fr/font/trueno}Open Font Library{/a} {image=cc/sil2.png}" style "st_credit"

            null height 20

            # Crédit de toutes les images, musiques et sons utilisés
            # en utilisant la même liste que pour les crédits détaillés
            for asset in liste_credits:

                # Icône symbole en début de ligne
                if asset["type"] == "image":  # S'il s'agit d'une image
                   $ icone = u"\uE079"
                   $ police_icone = "gui/fonts/open-iconic.ttf"

                elif asset["type"] == "font": # S'il s'agit d'une police de caractères
                   $ icone = u"\uF168"
                   $ police_icone = "gui/fonts/elusiveicons-webfont.ttf"

                elif asset["type"] == "audio" and asset["description"]["type"] == "musique": # S'il s'agit d'un son - musique
                   $ icone = u"\uE0A1"
                   $ police_icone = "gui/fonts/open-iconic.ttf"

                else:  # Sinon, c'est forcément un son - effet sonore
                   $ icone = u"\uE0AE"
                   $ police_icone = "gui/fonts/open-iconic.ttf"

                # Détermination de l'auteur (avec ou sans pseudo)
                $ auteur = asset["description"]["auteur"]
                if asset["description"]["pseudo"] is not None:
                    $ auteur += " (" + asset["description"]["pseudo"] + ") "

                # détermination de l'image de licence à afficher
                if asset["description"]["licence"] == 'zero':
                    $ licence= 'zero'
                elif asset["description"]["licence"] == 'lal':
                    $ licence = 'lal2'
                elif asset["description"]["licence"] == 's+':
                    $ licence = "splus2"
                elif asset["description"]["licence"] == 'sil':
                    $ licence = "sil2"
                else:
                    $ licence = 'by'
                    for element in asset["description"]["licence"]:
                        if element == 'by':
                            $ licence += ''
                        else:
                            $ licence += '-'+ element


                # Affichage de la ligne complète
                text '{font=[police_icone]}[icone]{/font} "' + asset["description"]["titre"]  + '[de!t]' + auteur + "[sur!t]" + "{a=" + asset["description"]["lien"] + "}" + asset["description"]["site"] + "{/a} {image=cc/" + licence + ".png}" style "st_credit"
                null height 5

    # affichage du masque pour éviter que le défilement déborde
    add masque_credits_rapides #"masque-creditsR.png"

    # Ajout d'un bouton pour accéder aux crédits détaillés
    textbutton _("Crédits\ndétaillés"):
        style "bouton_plein"
        xpos 800
        ypos 15
        action [SensitiveIf(renpy.has_label("credits_longs")),Hide("credits_rapides"),Jump("credits_longs")]
