##############################################################################
##############################################################################
#
# Configuration pour la construction des paquets
# Archives et versions
#
##############################################################################
##############################################################################

init -1 python hide:

    ## Choix de la langue par défaut
    ## à commenter/décommenter suivant qu'on veut faire une distribution à destination prioritairement d'anglophones ou de francophones

    #config.default_language = None   # français par défaut
    config.default_language = "en"   # anglais par défaut
    if config.default_language == "en":
        suffixe = "en-fr"
    else:
        suffixe = "fr-en"

    ## Cette option devrait être passé à False avant la distribution
    ## du jeu, ainsi le joueur ne peut pas tricher en utilisant les
    ## outils pour développeur.

    #config.developer = True
    config.developer = False


    # Configuration pour les paquets
    build.directory_name = "%s_%s_%s" % (config.name,config.version,suffixe) ## Variables dans theme_histoire.rpy
    build.destination = "paquets/%s_%s" % (config.name,config.version)

    # Fichiers spécifiques android (inutiles pour les autres paquets)
    build.classify("ecrans_android.rpy","android")
    build.classify("aide_android.rpy","android")

    # Dossiers à archiver
    build.archive("assets_graphiques","all")  ## Archivage des images retraitées
    build.archive("assets_audio","all")   ## Archivage des assets audio (car peuvent être modifiés)
    build.archive("divers","all")  ## Archivage des covers des assets audio
    build.archive("renpy","all")  ## Archivage des executables .rpyc
    build.classify("game/**.rpyc","renpy")
    build.classify("game/images/originaux/**","all")
    build.classify("game/images/**.jpg","assets_graphiques")
    build.classify("game/images/**.png","assets_graphiques")
    build.classify("game/audio/**.ogg","assets_audio")
    build.classify("game/audio/**.mp3","assets_audio")
    build.classify("game/audio/**.wav","assets_audio")
    build.classify("game/audio/**.jpg","divers")
    build.classify("game/audio/**.png","divers")


    # Dossiers à exclure ## Fichiers de sauvegarde / fichiers mercurial / Fichiers de travail
    build.classify("**.odt", None)
    build.classify("**~", None)
    build.classify("**.bak", None)
    build.classify(".hg",None)
    build.classify("**.DS_Store",None) #Pour eviter fichiers parasites pour les builds sur Mac

    # On enlève les répertoires vides
    build.exclude_empty_directories = True
